SMI_ISOMORPHISM(1)

NAME
smi_isomorphism - detect isomorphism between SMILES

DESCRIPTION
USAGE

    smi_isomorphism [<args>] [<files>]

DESCRIPTION

    smi_isomorphism reads in files with three tab-separated columns:

    <ID> <SMILES_1> <SMILES_2>

    The program then attempts to detect isomorphism between <SMILES_1> and <SMILES_2> on each line. If immediate isomorphism is not detected, step-by-step simplifications are performed in order to lead both SMILES to isomorphism.

OPTIONS

--remove-alkali-bonds
    add alkali bond removal to the list of simplifications

--print-side-of-superfluous-moieties
    identify which of the compared sides has superfluous molecular entities

--check-isomorphism
    perform an extra isomorphism check on molecular entities detected as isomorphic by comparing their canonical representations

--help
    print usage message and exit